PHP: Error parsing

wordpress Hosting

PHP: error parsing /usr/local/lib/php.ini on line 918”


If you are getting the error “PHP: Error parsing /usr/local/lib/php.ini on line 918” when you try to check the verison of php on your cpanel/WHM Linux OS based server.

Quote:
root@server [~]# php -v
PHP: Error parsing /usr/local/lib/php.ini on line 918
PHP 5.2.12 (cli) (built: Jan 14 2010 18:18:07)
Copyright (c) 1997-2009 The PHP Group
Zend Engine v2.2.0, Copyright (c) 1998-2009 Zend Technologies
with the ionCube PHP Loader v3.3.20, Copyright (c) 2002-2010, by ionCube Ltd., and
with Zend Optimizer v3.3.9, Copyright (c) 1998-2009, by Zend Technologies
with Suhosin v0.9.29, Copyright (c) 2007, by SektionEins GmbH

I’d request you to check the syntax of the php directive “url_rewriter.tags” in the file php.ini, the correct directive syntax is as follows.

Quote:
root@server [~]# vi /usr/local/lib/php.iniurl_rewriter.tags = “a=href,area=href,frame=src,input=src,form=,fields et=”

If the syntax matches but still you are getting error.

I’d suggest you to renaming the file php.ini and then reinstall IonCube.

Quote:
root@server [~]# cd /usr/local/lib/
root@server [~]# mv php.ini php.ini-bak
root@server [~]# /scripts/phpini
root@server [~]#/scripts/phpextensionmgr uninstall IonCubeLoader
root@server [~]# /scripts/phpextensionmgr install IonCubeLoader

This has done the trick for.. Hope it will work for you as well..


Cpanel Hosting